Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class Constants

    java.lang.Object
      |
      +--org.apache.soap.Constants

public class Constants
extends java.lang.Object

SOAP constants.

Author:
  Sanjiva Weerawarana (sanjiva@watson.ibm.com), Matthew J. Duftler (duftler@us.ibm.com), Scott Nichol (snichol@computer.org)

Field Summary
`static java.lang.String` | `ATTR_ARRAY_TYPE`
`static java.lang.String` | `ATTR_ENCODING_STYLE`
`static java.lang.String` | `ATTR_ID`
`static java.lang.String` | `ATTR_MUST_UNDERSTAND`
`static java.lang.String` | `ATTR_NIL`
`static java.lang.String` | `ATTR_NULL`
`static java.lang.String` | `ATTR_REFERENCE`
`static java.lang.String` | `ATTR_TYPE`
`static java.lang.String` | `ATTRVAL_MULTIREF_ID_PREFIX`
`static java.lang.String` | `ATTRVAL_TRUE`
`static java.lang.String` | `BAG_DEPLOYMENTDESCRIPTOR`
`static java.lang.String` | `BAG_HTTPSERVLET`
`static java.lang.String` | `BAG_HTTPSERVLETREQUEST`
`static java.lang.String` | `BAG_HTTPSERVLETRESPONSE`
`static java.lang.String` | `BAG_HTTPSESSION`
`static QName` | `boolean1999QName`
`static QName` | `boolean2000QName`
`static QName` | `boolean2001QName`
`static QName` | `byte1999QName`
`static QName` | `byte2000QName`
`static QName` | `byte2001QName`
`static java.lang.String` | `CONFIGFILENAME`
`static QName` | `date1999QName`
`static QName` | `date2000QName`
`static QName` | `date2001QName`
`static QName` | `decimal1999QName`
`static QName` | `decimal2000QName`
`static QName` | `decimal2001QName`
`static QName` | `double1999QName`
`static QName` | `double2000QName`
`static QName` | `double2001QName`
`static java.lang.String` | `ELEM_BODY`
`static java.lang.String` | `ELEM_DETAIL`
`static java.lang.String` | `ELEM_ENVELOPE`
`static java.lang.String` | `ELEM_FAULT`
`static java.lang.String` | `ELEM_FAULT_ACTOR`
`static java.lang.String` | `ELEM_FAULT_CODE`
`static java.lang.String` | `ELEM_FAULT_DETAIL_ENTRY`
`static java.lang.String` | `ELEM_FAULT_STRING`
`static java.lang.String` | `ELEM_HEADER`
`static java.lang.String` | `ENVELOPE_EDITOR_FACTORY`
`static java.lang.String` | `ERR_MSG_VERSION_MISMATCH`
`static java.lang.String` | `FAULT_CODE_CLIENT`
`static java.lang.String` | `FAULT_CODE_INTERRUPTED_IOEXCEPTION`
`static java.lang.String` | `FAULT_CODE_IOEXCEPTION`
`static java.lang.String` | `FAULT_CODE_MUST_UNDERSTAND`
`static java.lang.String` | `FAULT_CODE_PROTOCOL`
`static java.lang.String` | `FAULT_CODE_SERVER`
`static java.lang.String` | `FAULT_CODE_SERVER_BAD_TARGET_OBJECT_URI`
`static java.lang.String` | `FAULT_CODE_VERSION_MISMATCH`
`static QName` | `float1999QName`
`static QName` | `float2000QName`
`static QName` | `float2001QName`
`static java.lang.String` | `HEADER_AUTHORIZATION`
`static java.lang.String` | `HEADER_CONTENT_ID`
`static java.lang.String` | `HEADER_CONTENT_LENGTH`
`static java.lang.String` | `HEADER_CONTENT_LOCATION`
`static java.lang.String` | `HEADER_CONTENT_TYPE`
`static java.lang.String` | `HEADER_CONTENT_TYPE_JMS`
`static java.lang.String` | `HEADER_HOST`
`static java.lang.String` | `HEADER_POST`
`static java.lang.String` | `HEADER_PROXY_AUTHORIZATION`
`static java.lang.String` | `HEADER_SOAP_ACTION`
`static java.lang.String` | `HEADERVAL_CHARSET_UTF8`
`static java.lang.String` | `HEADERVAL_CONTENT_TYPE`
`static java.lang.String` | `HEADERVAL_CONTENT_TYPE_MULTIPART`
`static java.lang.String` | `HEADERVAL_CONTENT_TYPE_MULTIPART_PRIMARY`
`static java.lang.String` | `HEADERVAL_CONTENT_TYPE_UTF8`
`static java.lang.String` | `HEADERVAL_DEFAULT_CHARSET`
`static java.lang.String` | `HEADERVAL_MULTIPART_CONTENT_SUBTYPE`
`static QName` | `hex1999QName`
`static QName` | `hex2000QName`
`static QName` | `hex2001QName`
`static QName` | `int1999QName`
`static QName` | `int2000QName`
`static QName` | `int2001QName`
`static QName` | `long1999QName`
`static QName` | `long2000QName`
`static QName` | `long2001QName`
`static java.lang.String` | `NS_PRE_SCHEMA_XSD`
`static java.lang.String` | `NS_PRE_SCHEMA_XSI`
`static java.lang.String` | `NS_PRE_SOAP`
`static java.lang.String` | `NS_PRE_SOAP_ENC`
`static java.lang.String` | `NS_PRE_SOAP_ENV`
`static java.lang.String` | `NS_PRE_XMLNS`
`static java.lang.String` | `NS_URI_1999_SCHEMA_XSD`
`static java.lang.String` | `NS_URI_1999_SCHEMA_XSI`
`static java.lang.String` | `NS_URI_2000_SCHEMA_XSD`
`static java.lang.String` | `NS_URI_2000_SCHEMA_XSI`
`static java.lang.String` | `NS_URI_2001_SCHEMA_XSD`
`static java.lang.String` | `NS_URI_2001_SCHEMA_XSI`
`static java.lang.String` | `NS_URI_CURRENT_SCHEMA_XSD`
`static java.lang.String` | `NS_URI_CURRENT_SCHEMA_XSI`
`static java.lang.String` | `NS_URI_LITERAL_XML`
`static java.lang.String` | `NS_URI_SOAP_ENC`
`static java.lang.String` | `NS_URI_SOAP_ENV`
`static java.lang.String` | `NS_URI_XMI_ENC`
`static java.lang.String` | `NS_URI_XML_SOAP`
`static java.lang.String` | `NS_URI_XML_SOAP_DEPLOYMENT`
`static java.lang.String` | `NS_URI_XMLNS`
`static QName` | `object1999QName`
`static QName` | `object2000QName`
`static QName` | `object2001QName`
`static QName` | `Q_ATTR_MUST_UNDERSTAND`
`static QName` | `Q_ELEM_BODY`
`static QName` | `Q_ELEM_ENVELOPE`
`static QName` | `Q_ELEM_FAULT`
`static QName` | `Q_ELEM_HEADER`
`static QName` | `qName1999QName`
`static QName` | `qName2000QName`
`static QName` | `qName2001QName`
`static QName` | `short1999QName`
`static QName` | `short2000QName`
`static QName` | `short2001QName`
`static QName` | `string1999QName`
`static QName` | `string2000QName`
`static QName` | `string2001QName`
`static QName` | `timeInst1999QName`
`static QName` | `timeInst2000QName`
`static QName` | `timeInst2001QName`
`static java.lang.String` | `XML_DECL`
`static java.lang.String` | `XML_PARSER`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_PRE_XMLNS

    public static final java.lang.String NS_PRE_XMLNS

  See Also:
    Constant Field Values

### NS_PRE_SOAP

    public static final java.lang.String NS_PRE_SOAP

  See Also:
    Constant Field Values

### NS_PRE_SOAP_ENV

    public static final java.lang.String NS_PRE_SOAP_ENV

  See Also:
    Constant Field Values

### NS_PRE_SOAP_ENC

    public static final java.lang.String NS_PRE_SOAP_ENC

  See Also:
    Constant Field Values

### NS_PRE_SCHEMA_XSI

    public static final java.lang.String NS_PRE_SCHEMA_XSI

  See Also:
    Constant Field Values

### NS_PRE_SCHEMA_XSD

    public static final java.lang.String NS_PRE_SCHEMA_XSD

  See Also:
    Constant Field Values

### NS_URI_XMLNS

    public static final java.lang.String NS_URI_XMLNS

  See Also:
    Constant Field Values

### NS_URI_SOAP_ENV

    public static final java.lang.String NS_URI_SOAP_ENV

  See Also:
    Constant Field Values

### NS_URI_SOAP_ENC

    public static final java.lang.String NS_URI_SOAP_ENC

  See Also:
    Constant Field Values

### NS_URI_1999_SCHEMA_XSI

    public static final java.lang.String NS_URI_1999_SCHEMA_XSI

  See Also:
    Constant Field Values

### NS_URI_1999_SCHEMA_XSD

    public static final java.lang.String NS_URI_1999_SCHEMA_XSD

  See Also:
    Constant Field Values

### NS_URI_2000_SCHEMA_XSI

    public static final java.lang.String NS_URI_2000_SCHEMA_XSI

  See Also:
    Constant Field Values

### NS_URI_2000_SCHEMA_XSD

    public static final java.lang.String NS_URI_2000_SCHEMA_XSD

  See Also:
    Constant Field Values

### NS_URI_2001_SCHEMA_XSI

    public static final java.lang.String NS_URI_2001_SCHEMA_XSI

  See Also:
    Constant Field Values

### NS_URI_2001_SCHEMA_XSD

    public static final java.lang.String NS_URI_2001_SCHEMA_XSD

  See Also:
    Constant Field Values

### NS_URI_CURRENT_SCHEMA_XSI

    public static final java.lang.String NS_URI_CURRENT_SCHEMA_XSI

  See Also:
    Constant Field Values

### NS_URI_CURRENT_SCHEMA_XSD

    public static final java.lang.String NS_URI_CURRENT_SCHEMA_XSD

  See Also:
    Constant Field Values

### NS_URI_XML_SOAP

    public static final java.lang.String NS_URI_XML_SOAP

  See Also:
    Constant Field Values

### NS_URI_XML_SOAP_DEPLOYMENT

    public static final java.lang.String NS_URI_XML_SOAP_DEPLOYMENT

  See Also:
    Constant Field Values

### NS_URI_LITERAL_XML

    public static final java.lang.String NS_URI_LITERAL_XML

  See Also:
    Constant Field Values

### NS_URI_XMI_ENC

    public static final java.lang.String NS_URI_XMI_ENC

  See Also:
    Constant Field Values

### HEADER_POST

    public static final java.lang.String HEADER_POST

  See Also:
    Constant Field Values

### HEADER_HOST

    public static final java.lang.String HEADER_HOST

  See Also:
    Constant Field Values

### HEADER_CONTENT_TYPE

    public static final java.lang.String HEADER_CONTENT_TYPE

  See Also:
    Constant Field Values

### HEADER_CONTENT_TYPE_JMS

    public static final java.lang.String HEADER_CONTENT_TYPE_JMS

  See Also:
    Constant Field Values

### HEADER_CONTENT_LENGTH

    public static final java.lang.String HEADER_CONTENT_LENGTH

  See Also:
    Constant Field Values

### HEADER_CONTENT_LOCATION

    public static final java.lang.String HEADER_CONTENT_LOCATION

  See Also:
    Constant Field Values

### HEADER_CONTENT_ID

    public static final java.lang.String HEADER_CONTENT_ID

  See Also:
    Constant Field Values

### HEADER_SOAP_ACTION

    public static final java.lang.String HEADER_SOAP_ACTION

  See Also:
    Constant Field Values

### HEADER_AUTHORIZATION

    public static final java.lang.String HEADER_AUTHORIZATION

  See Also:
    Constant Field Values

### HEADER_PROXY_AUTHORIZATION

    public static final java.lang.String HEADER_PROXY_AUTHORIZATION

  See Also:
    Constant Field Values

### HEADERVAL_DEFAULT_CHARSET

    public static final java.lang.String HEADERVAL_DEFAULT_CHARSET

  See Also:
    Constant Field Values

### HEADERVAL_CHARSET_UTF8

    public static final java.lang.String HEADERVAL_CHARSET_UTF8

  See Also:
    Constant Field Values

### HEADERVAL_CONTENT_TYPE

    public static final java.lang.String HEADERVAL_CONTENT_TYPE

  See Also:
    Constant Field Values

### HEADERVAL_CONTENT_TYPE_UTF8

    public static final java.lang.String HEADERVAL_CONTENT_TYPE_UTF8

  See Also:
    Constant Field Values

### HEADERVAL_CONTENT_TYPE_MULTIPART_PRIMARY

    public static final java.lang.String HEADERVAL_CONTENT_TYPE_MULTIPART_PRIMARY

  See Also:
    Constant Field Values

### HEADERVAL_MULTIPART_CONTENT_SUBTYPE

    public static final java.lang.String HEADERVAL_MULTIPART_CONTENT_SUBTYPE

  See Also:
    Constant Field Values

### HEADERVAL_CONTENT_TYPE_MULTIPART

    public static final java.lang.String HEADERVAL_CONTENT_TYPE_MULTIPART

  See Also:
    Constant Field Values

### XML_DECL

    public static final java.lang.String XML_DECL

  See Also:
    Constant Field Values

### ELEM_ENVELOPE

    public static final java.lang.String ELEM_ENVELOPE

  See Also:
    Constant Field Values

### ELEM_BODY

    public static final java.lang.String ELEM_BODY

  See Also:
    Constant Field Values

### ELEM_HEADER

    public static final java.lang.String ELEM_HEADER

  See Also:
    Constant Field Values

### ELEM_FAULT

    public static final java.lang.String ELEM_FAULT

  See Also:
    Constant Field Values

### ELEM_FAULT_CODE

    public static final java.lang.String ELEM_FAULT_CODE

  See Also:
    Constant Field Values

### ELEM_FAULT_STRING

    public static final java.lang.String ELEM_FAULT_STRING

  See Also:
    Constant Field Values

### ELEM_FAULT_ACTOR

    public static final java.lang.String ELEM_FAULT_ACTOR

  See Also:
    Constant Field Values

### ELEM_DETAIL

    public static final java.lang.String ELEM_DETAIL

  See Also:
    Constant Field Values

### ELEM_FAULT_DETAIL_ENTRY

    public static final java.lang.String ELEM_FAULT_DETAIL_ENTRY

  See Also:
    Constant Field Values

### Q_ELEM_ENVELOPE

    public static QName Q_ELEM_ENVELOPE

### Q_ELEM_HEADER

    public static QName Q_ELEM_HEADER

### Q_ELEM_BODY

    public static QName Q_ELEM_BODY

### Q_ELEM_FAULT

    public static QName Q_ELEM_FAULT

### ATTR_ENCODING_STYLE

    public static final java.lang.String ATTR_ENCODING_STYLE

  See Also:
    Constant Field Values

### ATTR_MUST_UNDERSTAND

    public static final java.lang.String ATTR_MUST_UNDERSTAND

  See Also:
    Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

  See Also:
    Constant Field Values

### ATTR_NULL

    public static final java.lang.String ATTR_NULL

  See Also:
    Constant Field Values

### ATTR_NIL

    public static final java.lang.String ATTR_NIL

  See Also:
    Constant Field Values

### ATTR_ARRAY_TYPE

    public static final java.lang.String ATTR_ARRAY_TYPE

  See Also:
    Constant Field Values

### ATTR_REFERENCE

    public static final java.lang.String ATTR_REFERENCE

  See Also:
    Constant Field Values

### ATTR_ID

    public static final java.lang.String ATTR_ID

  See Also:
    Constant Field Values

### Q_ATTR_MUST_UNDERSTAND

    public static QName Q_ATTR_MUST_UNDERSTAND

### ATTRVAL_TRUE

    public static java.lang.String ATTRVAL_TRUE

### ATTRVAL_MULTIREF_ID_PREFIX

    public static java.lang.String ATTRVAL_MULTIREF_ID_PREFIX

### FAULT_CODE_VERSION_MISMATCH

    public static java.lang.String FAULT_CODE_VERSION_MISMATCH

### FAULT_CODE_MUST_UNDERSTAND

    public static java.lang.String FAULT_CODE_MUST_UNDERSTAND

### FAULT_CODE_CLIENT

    public static java.lang.String FAULT_CODE_CLIENT

### FAULT_CODE_SERVER

    public static java.lang.String FAULT_CODE_SERVER

### FAULT_CODE_PROTOCOL

    public static java.lang.String FAULT_CODE_PROTOCOL

### FAULT_CODE_IOEXCEPTION

    public static java.lang.String FAULT_CODE_IOEXCEPTION

### FAULT_CODE_INTERRUPTED_IOEXCEPTION

    public static java.lang.String FAULT_CODE_INTERRUPTED_IOEXCEPTION

### FAULT_CODE_SERVER_BAD_TARGET_OBJECT_URI

    public static java.lang.String FAULT_CODE_SERVER_BAD_TARGET_OBJECT_URI

### ERR_MSG_VERSION_MISMATCH

    public static java.lang.String ERR_MSG_VERSION_MISMATCH

### BAG_HTTPSERVLET

    public static java.lang.String BAG_HTTPSERVLET

### BAG_HTTPSESSION

    public static java.lang.String BAG_HTTPSESSION

### BAG_HTTPSERVLETREQUEST

    public static java.lang.String BAG_HTTPSERVLETREQUEST

### BAG_HTTPSERVLETRESPONSE

    public static java.lang.String BAG_HTTPSERVLETRESPONSE

### BAG_DEPLOYMENTDESCRIPTOR

    public static java.lang.String BAG_DEPLOYMENTDESCRIPTOR

### ENVELOPE_EDITOR_FACTORY

    public static final java.lang.String ENVELOPE_EDITOR_FACTORY

  See Also:
    Constant Field Values

### XML_PARSER

    public static final java.lang.String XML_PARSER

  See Also:
    Constant Field Values

### CONFIGFILENAME

    public static final java.lang.String CONFIGFILENAME

  See Also:
    Constant Field Values

### string1999QName

    public static final QName string1999QName

### int1999QName

    public static final QName int1999QName

### decimal1999QName

    public static final QName decimal1999QName

### float1999QName

    public static final QName float1999QName

### double1999QName

    public static final QName double1999QName

### date1999QName

    public static final QName date1999QName

### boolean1999QName

    public static final QName boolean1999QName

### long1999QName

    public static final QName long1999QName

### short1999QName

    public static final QName short1999QName

### byte1999QName

    public static final QName byte1999QName

### hex1999QName

    public static final QName hex1999QName

### qName1999QName

    public static final QName qName1999QName

### timeInst1999QName

    public static final QName timeInst1999QName

### object1999QName

    public static final QName object1999QName

### string2000QName

    public static final QName string2000QName

### int2000QName

    public static final QName int2000QName

### decimal2000QName

    public static final QName decimal2000QName

### float2000QName

    public static final QName float2000QName

### double2000QName

    public static final QName double2000QName

### date2000QName

    public static final QName date2000QName

### boolean2000QName

    public static final QName boolean2000QName

### long2000QName

    public static final QName long2000QName

### short2000QName

    public static final QName short2000QName

### byte2000QName

    public static final QName byte2000QName

### hex2000QName

    public static final QName hex2000QName

### qName2000QName

    public static final QName qName2000QName

### timeInst2000QName

    public static final QName timeInst2000QName

### object2000QName

    public static final QName object2000QName

### string2001QName

    public static final QName string2001QName

### int2001QName

    public static final QName int2001QName

### decimal2001QName

    public static final QName decimal2001QName

### float2001QName

    public static final QName float2001QName

### double2001QName

    public static final QName double2001QName

### date2001QName

    public static final QName date2001QName

### boolean2001QName

    public static final QName boolean2001QName

### long2001QName

    public static final QName long2001QName

### short2001QName

    public static final QName short2001QName

### byte2001QName

    public static final QName byte2001QName

### hex2001QName

    public static final QName hex2001QName

### qName2001QName

    public static final QName qName2001QName

### timeInst2001QName

    public static final QName timeInst2001QName

### object2001QName

    public static final QName object2001QName

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.